{{- if .Values.esp.enabled -}}
apiVersion: v1
kind: Service
metadata:
  name: {{ .Release.Name }}-esp
  namespace: {{ .Release.Namespace }}
  labels:
{{- include "helm-chart.labels" . | nindent 4 }}
spec:
  type: ClusterIP
  ports:
    - name: esp
      port: 80
      targetPort: {{ .Values.esp.listenerPort | int }}
  selector:
{{- include "helm-chart.selectorLabels" . | nindent 4 }}
{{- end }}
